# SuperFaktura
This module integrates Superfaktura API to Drupal Commerce,
so you can issue invoices via this service.

- Introduction
- Requirements
- Install
- Configuration
- Authors and maintainers

## Introduction

SuperFaktura is an easy to use online app, that allows you to create
great looking online invoices, proformas, price estimates, orders,
delivery and credit notes. You can invoice in foreign currencies and languages.
Accept payments online, organize your stock management,
send electronic invoices online, or in paper form via hybrid post.

## Requirements

- you need SuperFaktura API (SFAPI)
https://github.com/superfaktura/apiclient

## Install

- download and extract the latest version of FAPI
into /sites/all/libraries/sfapi

- download and extract the latest version of module
into /sites/{SITE}/modules/contrib/superfaktura

- enable with drush

    ```
     drush en superfaktura
    ```
 or enable through UI at /admin/modules

## Configuration

After installation you need to set your SFAPI email and key (from your
SuperFaktura account) and other invoice details on page

```
/admin/commerce/config/superfaktura
```

Then you might want to map fields from customer profile to Phone, Company ID,
VAT ID and Tax ID on page

```
/admin/commerce/config/superfaktura/fields
```

In the end, map your available payment methods to SF payment methods
on page

```
/admin/commerce/config/superfaktura/payment-methods
```

## Authors and maintainers

- Miro Michalicka (D8 branch), https://www.drupal.org/u/mirom
- Peter Hrabovcin (D8 branch), https://www.drupal.org/u/pedro_sv
- Peter Lachky (D7 branch), https://www.drupal.org/u/petiar
